## auto-apt-proxy 8ubuntu2

=== Makefile ===
all: auto-apt-proxy.1

auto-apt-proxy.1: auto-apt-proxy.pod
	pod2man --verbose --name auto-apt-proxy -c '' -r '' --utf8 $< $@ || ($(RM) $@; false)

auto-apt-proxy.pod: README.md
	sed -e 's/^#/=head1/; s|\*\*\([^\*]*\)\*\*|B<\1>|g; s|\*\([^\*]*\)\*|I<\1>|g' $< > $@ || ($(RM) $@; false)

clean:
	$(RM) auto-apt-proxy.1 auto-apt-proxy.pod

.PHONY: check test

test: check

check:
	shellcheck --shell dash auto-apt-proxy

## auto-apt-proxy 1~bpo8+1

=== debian/changelog ===
auto-apt-proxy (1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 09 Jul 2016 18:36:02 -0300

auto-apt-proxy (1) unstable; urgency=medium

  * Initial Release (Closes: #827375).

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Jul 2016 19:09:00 +0200

=== debian/control ===
Source: auto-apt-proxy
Section: net
Priority: optional
Maintainer: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 9.20141010~),
               dpkg-dev (>= 1.17.14~),
               shellcheck <!nocheck>,
Standards-Version: 3.9.8
Homepage: https://anonscm.debian.org/git/users/terceiro/auto-apt-proxy.git
Vcs-Git: https://anonscm.debian.org/git/users/terceiro/auto-apt-proxy.git
Vcs-Browser: https://anonscm.debian.org/git/users/terceiro/auto-apt-proxy.git

Package: auto-apt-proxy
Architecture: all
Depends: apt,
         ${misc:Depends},
         ${shlibs:Depends},
Description: automatic detector of common APT proxy settings
 auto-apt-proxy installs itself as an APT proxy autodetector, and detects
 common setups by checking localhost and the network default gateway for
 well-known APT proxies such as apt-cacher-ng.
 .
 This package is most useful for development environments, and will Do The
 Right Thing for:
 .
   * build chroots, with a proxy running on the host system.
   * docker/lxc containers, with a proxy running on the host system.
   * Virtual machines with NAT networking, with a proxy running on the host
   * system.
   * any other system, with a proxy running on its default gateway.
 .
 The following APT proxy servers are supported and automatically detected:
   * apt-cacher-ng
 .
 This package has a minimal set of dependencies in order to minimize the
 influence on systems where it is installed.
 .
 For corporate desktop/server deployments, where the APT proxy can be located
 at any arbitrary host, you should probably try the `squid-deb-proxy-client`
 package instead.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build: auto-apt-proxy.1
	dh_auto_build

override_dh_auto_clean:
	$(RM) auto-apt-proxy.1 auto-apt-proxy.pod
	dh_auto_clean

override_dh_auto_test:
	dh_auto_test
	shellcheck auto-apt-proxy

auto-apt-proxy.1: auto-apt-proxy.pod
	pod2man --verbose --name auto-apt-proxy -c '' -r '' --utf8 $< $@ || ($(RM) $@; false)

auto-apt-proxy.pod: README.md
	sed -e 's/^#/=head1/' $< > $@ || ($(RM) $@; false)

=== debian/tests/control ===
Test-Command: clitest debian/tests/apt-cacher-ng.txt
Depends: @, clitest, apt-cacher-ng

## auto-apt-proxy 2

=== debian/changelog ===
auto-apt-proxy (2) unstable; urgency=medium

  * specify `--shell dash` to shellcheck (Closes: #834976)
    - unfortunately POSIX shell doesn't even define function-local variables,
      which are IMO a good thing to use.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 22 Aug 2016 13:26:44 -0300

## auto-apt-proxy 2+deb9u1

=== debian/changelog ===
auto-apt-proxy (2+deb9u1) stretch; urgency=medium

  * Move apt configuration away on removal, and put it back on reinstalls
    (Closes: #881751)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 27 Nov 2017 13:55:16 -0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_auto_test:
 	dh_auto_test
-	shellcheck auto-apt-proxy
+	shellcheck --shell dash auto-apt-proxy
 
 auto-apt-proxy.1: auto-apt-proxy.pod
 	pod2man --verbose --name auto-apt-proxy -c '' -r '' --utf8 $< $@ || ($(RM) $@; false)

=== debian/tests/control ===
Test-Command: clitest debian/tests/apt-cacher-ng.txt
Depends: @, clitest, apt-cacher-ng

Tests: remove, reinstall
Restrictions: needs-root
Depends: @, clitest

## auto-apt-proxy 8ubuntu2

=== debian/changelog ===
auto-apt-proxy (8ubuntu2) bionic; urgency=medium

  * debian/tests/apt-integration: skip this test if $no_proxy is set (as it
    is on Ubuntu infrastructure), since this may cause apt to bypass
    apt-cacher-ng and yield a false-positive.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Mar 2018 20:50:53 -0700

auto-apt-proxy (8) unstable; urgency=medium

  * debian/tests: remove pointless "purge" test
  * preinst: put configuration file back in place on reinstalls

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 27 Nov 2017 13:50:22 -0200

auto-apt-proxy (7) unstable; urgency=medium

  * Move apt configuration away on removal (Closes: #881751)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 22 Nov 2017 11:52:20 -0200

auto-apt-proxy (6) unstable; urgency=medium

  * Fix regression in wrapper mode that breaks the APT integration (!)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 02 Nov 2017 20:12:43 -0200

auto-apt-proxy (5) unstable; urgency=medium

  * Add wrapper mode: running `auto-apt-proxy COMMAND` will cause command to
    be executed with the environment variables http_proxy and HTTP_PROXY set
    to the URL of the detected proxy.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 02 Nov 2017 19:37:30 -0200

auto-apt-proxy (4) unstable; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Use DIRECT for proxies values and ignore
    Acquire::http::Proxy-Auto-Detect.
  * Add support for apt-cacher. (Closes: #879117)

  [ Antonio Terceiro ]
  * debian/tests: add test for apt-cacher detection

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 27 Oct 2017 15:07:33 -0200

auto-apt-proxy (3) unstable; urgency=medium

  * Add support for detecting approx
  * Handle `ip` not being available
  * Recommends: iproute2 for `ip`
  * Bump Standards-Version to 4.1.1; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 02 Oct 2017 16:20:30 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: auto-apt-proxy
 Section: net
 Priority: optional
-Maintainer: Antonio Terceiro <terceiro@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper (>= 9.20141010~),
                dpkg-dev (>= 1.17.14~),
                shellcheck <!nocheck>,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://anonscm.debian.org/git/users/terceiro/auto-apt-proxy.git
 Vcs-Git: https://anonscm.debian.org/git/users/terceiro/auto-apt-proxy.git
 Vcs-Browser: https://anonscm.debian.org/git/users/terceiro/auto-apt-proxy.git
 
 Package: auto-apt-proxy
 Architecture: all
+Recommends: iproute2,
 Depends: apt,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -31,6 +33,8 @@
  .
  The following APT proxy servers are supported and automatically detected:
    * apt-cacher-ng
+   * approx
+   * apt-cacher
  .
  This package has a minimal set of dependencies in order to minimize the
  influence on systems where it is installed.

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,16 @@
+Tests: apt-integration
+Depends: @, apt-cacher-ng
+
 Test-Command: clitest debian/tests/apt-cacher-ng.txt
+Depends: @, clitest, apt-cacher-ng
+
+Test-Command: clitest debian/tests/approx.txt
+Depends: @, clitest, approx
+
+Test-Command: clitest debian/tests/apt-cacher.txt
+Depends: @, clitest, apt-cacher
+
+Test-Command: clitest debian/tests/wrapper-mode.txt
 Depends: @, clitest, apt-cacher-ng
 
 Tests: remove, reinstall

## auto-apt-proxy 10

=== debian/changelog ===
auto-apt-proxy (10) unstable; urgency=medium

  * Exit with 0 even when no proxy can be detected. This prevents apt from
    failing when the proxy is down, or when there is none.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 05 May 2018 14:17:59 -0300

auto-apt-proxy (9) unstable; urgency=medium

  * debian/tests/{remove,reinstall}: drop unnecessary $action variable
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.1.4; no changes needed
  * Update Homepage: and Vcs-* to point to salsa.debian.org
  * apt-integration test: unset no_proxy (Closes: #893573)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 21 Apr 2018 14:29:26 -0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: auto-apt-proxy
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antonio Terceiro <terceiro@debian.org>
-Build-Depends: debhelper (>= 9.20141010~),
+Maintainer: Antonio Terceiro <terceiro@debian.org>
+Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.17.14~),
                shellcheck <!nocheck>,
-Standards-Version: 4.1.1
-Homepage: https://anonscm.debian.org/git/users/terceiro/auto-apt-proxy.git
-Vcs-Git: https://anonscm.debian.org/git/users/terceiro/auto-apt-proxy.git
-Vcs-Browser: https://anonscm.debian.org/git/users/terceiro/auto-apt-proxy.git
+Standards-Version: 4.1.4
+Homepage: https://salsa.debian.org/debian/auto-apt-proxy
+Vcs-Git: https://salsa.debian.org/debian/auto-apt-proxy.git
+Vcs-Browser: https://salsa.debian.org/debian/auto-apt-proxy
 
 Package: auto-apt-proxy
 Architecture: all

## auto-apt-proxy 11

=== debian/changelog ===
auto-apt-proxy (11) unstable; urgency=medium

  * Replace `which` with `command -v`
  * Makefile: make shellcheck test non-fatal (Closes: #912111)
  * Update copyright notices
  * Bump Standards-Version to 4.2.1; no changes needed.
  * debian/rules: set Rules-Require-Root: no

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 28 Oct 2018 09:35:05 -0300

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.17.14~),
                shellcheck <!nocheck>,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://salsa.debian.org/debian/auto-apt-proxy
 Vcs-Git: https://salsa.debian.org/debian/auto-apt-proxy.git
 Vcs-Browser: https://salsa.debian.org/debian/auto-apt-proxy
+Rules-Requires-Root: no
 
 Package: auto-apt-proxy
 Architecture: all

## auto-apt-proxy 11+deb10u1

=== debian/changelog ===
auto-apt-proxy (11+deb10u1) buster-security; urgency=medium

  * Fix misdetection of default route (Closes: #1107997)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 20 Jun 2025 16:57:20 +0200

## auto-apt-proxy 12

=== debian/changelog ===
auto-apt-proxy (12) unstable; urgency=medium

  [ Trent W. Buck ]
  * Try "busybox ip route" when "ip route" is not available.
  * Use apt-helper to find apt proxy via _apt_proxy._tcp DNS record
    (Closes: #935495)

  [ Antonio Terceiro ]
  * autopkgtest: give names to all tests
  * Timeout each request to potential proxies at 5s (Closes: #939046)
  * Bump Standards-Version to 4.4.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 02 Sep 2019 13:00:41 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.17.14~),
                shellcheck <!nocheck>,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://salsa.debian.org/debian/auto-apt-proxy
 Vcs-Git: https://salsa.debian.org/debian/auto-apt-proxy.git
 Vcs-Browser: https://salsa.debian.org/debian/auto-apt-proxy
@@ -13,7 +13,7 @@
 
 Package: auto-apt-proxy
 Architecture: all
-Recommends: iproute2,
+Recommends: iproute2 | busybox,
 Depends: apt,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -35,10 +35,10 @@
    * apt-cacher-ng
    * approx
    * apt-cacher
+   * any proxy advertised by an _apt_proxy._tcp SRV record in your domain
  .
  This package has a minimal set of dependencies in order to minimize the
  influence on systems where it is installed.
  .
- For corporate desktop/server deployments, where the APT proxy can be located
- at any arbitrary host, you should probably try the `squid-deb-proxy-client`
- package instead.
+ This package does not query mDNS SRV records, which would require avahi.
+ If you need that, consider the `squid-deb-proxy-client` package instead.

=== debian/tests/control ===
Tests: apt-integration
Depends: @, apt-cacher-ng

Test-Command: clitest debian/tests/apt-cacher-ng.txt
Depends: @, clitest, apt-cacher-ng
Features: test-name=apt-cacher-ng

Test-Command: clitest debian/tests/approx.txt
Depends: @, clitest, approx
Features: test-name=approx

Test-Command: clitest debian/tests/apt-cacher.txt
Depends: @, clitest, apt-cacher
Features: test-name=apt-cacher

Test-Command: clitest debian/tests/wrapper-mode.txt
Depends: @, clitest, apt-cacher-ng
Features: test-name=wrapper-mode

Tests: remove, reinstall
Restrictions: needs-root
Depends: @, clitest

Tests: timeout
Depends: @, ruby-rack
Restrictions: allow-stderr

## auto-apt-proxy 13.1

=== debian/changelog ===
auto-apt-proxy (13.1) unstable; urgency=medium

  * Fix check for insecure cache dir

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 17 Dec 2020 11:32:45 -0300

auto-apt-proxy (13) unstable; urgency=medium

  * Cache results for 60s
  * Allow local user to specify an explicit proxy host

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 16 Dec 2020 17:48:15 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.17.14~),
                shellcheck <!nocheck>,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://salsa.debian.org/debian/auto-apt-proxy
 Vcs-Git: https://salsa.debian.org/debian/auto-apt-proxy.git
 Vcs-Browser: https://salsa.debian.org/debian/auto-apt-proxy

## auto-apt-proxy 13.2

=== debian/changelog ===
auto-apt-proxy (13.2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Minor documentation update
  * README.md: fix indentation in manpage
  * Avoid warning from `hostname` when domain can't be determined
  * Mention the DNS support in the package description
  * Fix busybox detection.
    Invoking just `busybox ip` will always fail because it's missing a
    subcommand, and `busybox ip` will fail with a usage message. Adding
    `--help` makes the command succeed if busybox is installed and the `ip`
    applet is compiled in (what is the default in Debian anyway).
    (Closes: #988262)

  [ Ansgar Burchardt ]
  * Update package description

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 10 May 2021 18:38:51 -0300

## auto-apt-proxy 13.3

=== Makefile ===
--- 
+++ 
@@ -14,5 +14,5 @@
 test: check
 
 check:
-	shellcheck --shell dash auto-apt-proxy
+	-shellcheck --shell dash auto-apt-proxy

=== debian/changelog ===
auto-apt-proxy (13.3) unstable; urgency=medium

  * autopkgtest: cope with auto-apt-proxy being pre-installed (Closes: #989776)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 18 Jun 2021 22:51:34 -0300

=== debian/control ===
--- 
+++ 
@@ -19,17 +19,19 @@
          ${shlibs:Depends},
 Description: automatic detector of common APT proxy settings
  auto-apt-proxy installs itself as an APT proxy autodetector, and detects
- common setups by checking localhost and the network default gateway for
- well-known APT proxies such as apt-cacher-ng.
+ common setups by checking some hosts on the local network for well-known APT
+ proxies such as apt-cacher-ng.
  .
  This package is most useful for development environments, and will Do The
- Right Thing for:
+ Right Thing for at least these cases:
  .
-   * build chroots, with a proxy running on the host system.
-   * docker/lxc containers, with a proxy running on the host system.
+   * Build chroots, with a proxy running on the host system.
+   * Docker/lxc containers, with a proxy running on the host system.
    * Virtual machines with NAT networking, with a proxy running on the host
-   * system.
-   * any other system, with a proxy running on its default gateway.
+     system.
+   * Any other system, with a proxy running on its default gateway.
+   * Systems where the `apt-proxy` hostname resolves to a valid IP address
+     and a supported proxy is detected at that address.
  .
  The following APT proxy servers are supported and automatically detected:
    * apt-cacher-ng

=== debian/tests/control ===
--- 
+++ 
@@ -24,3 +24,7 @@
 Tests: timeout
 Depends: @, ruby-rack
 Restrictions: allow-stderr
+
+Tests: insecure-cache-dir
+Depends: @
+Restrictions: needs-root, allow-stderr

## auto-apt-proxy 13.4

=== debian/changelog ===
auto-apt-proxy (13.4) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Avoid retries when proving for proxies.
    Pass -o Acquire::Retries=0 to apt-helper, such that apt doesn't retry
    the proxy probing, which now has exponential backoff in 2.3.7
    (Closes: #992147)

  [ Antonio Terceiro ]
  * timeout after 5s when looking `auto-apt-proxy` up.
    If a DNS lookup for the proxy takes too long, we don't to want to use it
    anyway. (Closes: #979132)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 22 Aug 2021 20:58:06 -0300

=== debian/tests/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Restrictions: needs-root
 Depends: @, clitest
 
-Tests: timeout
+Tests: timeout, getent-timeout
 Depends: @, ruby-rack
 Restrictions: allow-stderr

## auto-apt-proxy 14

=== debian/changelog ===
auto-apt-proxy (14) unstable; urgency=medium

  [ Paride Legovini ]
  * Detect squid-deb-proxy
  * Add autopkgtest for squid-deb-proxy

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 20 Feb 2022 17:12:27 -0300

auto-apt-proxy (13.5) unstable; urgency=medium

  * autopkgtest: timeout: depend on ruby-webrick
  * Bump Standards-Version to 4.6.0; no changed needed

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 19 Feb 2022 10:26:19 -0300

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,9 @@
 Tests: apt-integration
 Depends: @, apt-cacher-ng
+
+Test-Command: clitest debian/tests/squid-deb-proxy.txt
+Depends: @, clitest, squid-deb-proxy
+Features: test-name=squid-deb-proxy
 
 Test-Command: clitest debian/tests/apt-cacher-ng.txt
 Depends: @, clitest, apt-cacher-ng
@@ -22,7 +26,7 @@
 Depends: @, clitest
 
 Tests: timeout, getent-timeout
-Depends: @, ruby-rack
+Depends: @, ruby-rack, ruby-webrick
 Restrictions: allow-stderr
 
 Tests: insecure-cache-dir

## auto-apt-proxy 14.1

=== debian/changelog ===
auto-apt-proxy (14.1) unstable; urgency=medium

  * autopkgtest: drop test for squid-deb-proxy (Closes: #1033530)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 28 Mar 2023 21:56:37 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.17.14~),
                shellcheck <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://salsa.debian.org/debian/auto-apt-proxy
 Vcs-Git: https://salsa.debian.org/debian/auto-apt-proxy.git
 Vcs-Browser: https://salsa.debian.org/debian/auto-apt-proxy
@@ -37,6 +37,7 @@
    * apt-cacher-ng
    * approx
    * apt-cacher
+   * squid-deb-proxy
    * any proxy advertised by an _apt_proxy._tcp SRV record in your domain
  .
  This package has a minimal set of dependencies in order to minimize the

=== debian/tests/control ===
--- 
+++ 
@@ -1,9 +1,5 @@
 Tests: apt-integration
 Depends: @, apt-cacher-ng
-
-Test-Command: clitest debian/tests/squid-deb-proxy.txt
-Depends: @, clitest, squid-deb-proxy
-Features: test-name=squid-deb-proxy
 
 Test-Command: clitest debian/tests/apt-cacher-ng.txt
 Depends: @, clitest, apt-cacher-ng

## auto-apt-proxy 15

=== debian/changelog ===
auto-apt-proxy (15) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Check security of cache dir before doing anything else
  * Save output of proxy detection attempts into cache directory
  * debian/copyright: replace anonscm.debian.org URL with a salsa one
  * autopkgtest: drop test for squid-deb-proxy (Closes: #1033530)
  * Don't create cache directory when not using it
  * Add proper support for IPv6 (Closes: #1058561)
  * apt-cacher-ng: don't require a exact message match (Closes: #1037081)
  * DNS: also lookup SRV entries in the search domains from resolve.conf

  [ Lucas Kanashiro ]
  * d/t/control: add ruby-rackup as a dependency of timeout test if ruby-rack >= 3
  * d/t/timeout: increase timeout to 15 seconds

  [ Helmut Grohne ]
  * Print IPv6 URL's correctly (Closes: #1034472)

  [ James Tocknell ]
  * Add support for mDNS via avahi (Closes: #1051206)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 04 Sep 2024 21:04:51 -0300

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Depends: apt,
          ${misc:Depends},
          ${shlibs:Depends},
+Suggests: avahi-utils,
 Description: automatic detector of common APT proxy settings
  auto-apt-proxy installs itself as an APT proxy autodetector, and detects
  common setups by checking some hosts on the local network for well-known APT
@@ -39,9 +40,8 @@
    * apt-cacher
    * squid-deb-proxy
    * any proxy advertised by an _apt_proxy._tcp SRV record in your domain
+   * any proxy advertised by an _apt_proxy._tcp SRV record in mDNS, if avahi
+     is installed and configured
  .
  This package has a minimal set of dependencies in order to minimize the
  influence on systems where it is installed.
- .
- This package does not query mDNS SRV records, which would require avahi.
- If you need that, consider the `squid-deb-proxy-client` package instead.

=== debian/tests/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Depends: @, clitest
 
 Tests: timeout, getent-timeout
-Depends: @, ruby-rack, ruby-webrick
+Depends: @, ruby-webrick, ruby-rack (<< 3) | ruby-rackup
 Restrictions: allow-stderr
 
 Tests: insecure-cache-dir

## auto-apt-proxy 16

=== debian/changelog ===
auto-apt-proxy (16) unstable; urgency=medium

  * Give top priority to 127.0.0.1 over other local addresses
  * Only check DNS and avahi after checking local addresses
  * Check locally running proxy before anything else
  * Build manpage with pandoc
  * Document precedence order for proxies
  * Bump Standards-Version to 4.7.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 29 Jan 2025 16:42:59 +0100

auto-apt-proxy (15.2) unstable; urgency=medium

  * Check local IPv4 addresses as well before 127.0.0.1
  * debian/tests/control: mark tests that require running system services
  * avahi: don't trust avahi response blindly, verify first

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 27 Jan 2025 05:37:38 -0300

auto-apt-proxy (15.1) unstable; urgency=medium

  * debian/tests/apt-integration: improve reliability

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 06 Sep 2024 18:50:50 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.17.14~),
                shellcheck <!nocheck>,
-Standards-Version: 4.6.0
+               pandoc,
+Standards-Version: 4.7.0
 Homepage: https://salsa.debian.org/debian/auto-apt-proxy
 Vcs-Git: https://salsa.debian.org/debian/auto-apt-proxy.git
 Vcs-Browser: https://salsa.debian.org/debian/auto-apt-proxy

## auto-apt-proxy 16.1

=== debian/changelog ===
auto-apt-proxy (16.1) unstable; urgency=medium

  * Fix check for avahi proxy.
    To correctly detect a proxy advertised by avahi, curl needs to
    installed. This has been documented in the package description and in
    the manpage. (Closes: #1095509)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 13 Feb 2025 20:42:21 -0300

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: avahi-utils,
+          curl,
 Description: automatic detector of common APT proxy settings
  auto-apt-proxy installs itself as an APT proxy autodetector, and detects
  common setups by checking some hosts on the local network for well-known APT
@@ -41,8 +42,9 @@
    * apt-cacher
    * squid-deb-proxy
    * any proxy advertised by an _apt_proxy._tcp SRV record in your domain
-   * any proxy advertised by an _apt_proxy._tcp SRV record in mDNS, if avahi
-     is installed and configured
+   * any proxy advertised by an _apt_proxy._tcp SRV record in mDNS (needs
+     avahi-tools and curl to be installed, and avahi-daemon to be installed and
+     running)
  .
  This package has a minimal set of dependencies in order to minimize the
  influence on systems where it is installed.

## auto-apt-proxy 16.2

=== debian/changelog ===
auto-apt-proxy (16.2) unstable; urgency=medium

  * Rewrite avahi proxy detection.
    It no longer needs curl to work.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 20 Feb 2025 09:03:26 -0300

=== debian/tests/control ===
--- 
+++ 
@@ -1,21 +1,26 @@
 Tests: apt-integration
 Depends: @, apt-cacher-ng
+Restrictions: isolation-container
 
 Test-Command: clitest debian/tests/apt-cacher-ng.txt
 Depends: @, clitest, apt-cacher-ng
 Features: test-name=apt-cacher-ng
+Restrictions: isolation-container
 
 Test-Command: clitest debian/tests/approx.txt
 Depends: @, clitest, approx
 Features: test-name=approx
+Restrictions: isolation-container
 
 Test-Command: clitest debian/tests/apt-cacher.txt
 Depends: @, clitest, apt-cacher
 Features: test-name=apt-cacher
+Restrictions: isolation-container
 
 Test-Command: clitest debian/tests/wrapper-mode.txt
 Depends: @, clitest, apt-cacher-ng
 Features: test-name=wrapper-mode
+Restrictions: isolation-container
 
 Tests: remove, reinstall
 Restrictions: needs-root

## auto-apt-proxy 16.3

=== debian/changelog ===
auto-apt-proxy (16.3) unstable; urgency=medium

  * avahi: skip detection if avahi-browse is not installed.
    This fixes a regression introduced when the avahi support was
    simplified.
    Fixes: 7e781c13dcb9 ("Rewrite avahi proxy detection")
  * avahi: also catch `101: Network is unreachable` as a failure
  * Add autopkgtest for the case where no proxy is available

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 27 Feb 2025 10:41:46 -0300

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: avahi-utils,
-          curl,
 Description: automatic detector of common APT proxy settings
  auto-apt-proxy installs itself as an APT proxy autodetector, and detects
  common setups by checking some hosts on the local network for well-known APT
@@ -43,7 +42,7 @@
    * squid-deb-proxy
    * any proxy advertised by an _apt_proxy._tcp SRV record in your domain
    * any proxy advertised by an _apt_proxy._tcp SRV record in mDNS (needs
-     avahi-tools and curl to be installed, and avahi-daemon to be installed and
+     avahi-tools to be installed, and avahi-daemon to be installed and
      running)
  .
  This package has a minimal set of dependencies in order to minimize the

## auto-apt-proxy 16.4

=== debian/changelog ===
auto-apt-proxy (16.4) unstable; urgency=medium

  * Always check for presence of `ip`. (Closes: #1099448)
  * Document functionality restriction without iproute2 or busybox
  * Recommends: prefer busybox to iproute2

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 04 Mar 2025 13:42:05 -0300

## auto-apt-proxy 16.5

=== debian/changelog ===
auto-apt-proxy (16.5) unstable; urgency=medium

  * avahi: fix detection when no proxy is available (Closes: #1101459)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 28 Mar 2025 14:53:06 -0300

=== debian/tests/control ===
--- 
+++ 
@@ -33,3 +33,7 @@
 Tests: insecure-cache-dir
 Depends: @
 Restrictions: needs-root, allow-stderr
+
+Tests: noproxy
+Depends: @, newpid
+Restrictions: allow-stderr, skippable

## auto-apt-proxy 16.6

=== debian/changelog ===
auto-apt-proxy (16.6) unstable; urgency=medium

  * Send log messages to stderr. This avoids running too silently and mask
    roblems.
  * autopkgtest: noproxy: avoid interference from previous test
  * Add support for unprivileged podman containers

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 03 May 2025 11:09:11 -0300

## auto-apt-proxy 16.7

=== debian/changelog ===
auto-apt-proxy (16.7) unstable; urgency=medium

  * Disable logging by default.
    Set AUTO_APT_PROXY_DEBUG to a non-empty string to enable logging to
    stderr.
  * README.md: consistently mark package names up
  * Improve logging support
  * Fix awk usage when resolving hostnames (Closes: #1105962)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 18 May 2025 23:20:27 -0300

## auto-apt-proxy 16.8

=== debian/changelog ===
auto-apt-proxy (16.8) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Include timestamp in debug logs
  * Fix typo when printing debug information for IPv6 gateway
  * Log before trying to resolve apt-proxy
  * Disambiguate ip the tool from ip as an address
  * Lazy load addresses to be checked for a proxy
  * Try options that require resolving names last

  [ Helmut Grohne ]
  * Make parsing the default gateway more strict (Closes: #1107997)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 20 Jun 2025 10:34:06 -0300

## auto-apt-proxy 16.8%2Bdeb13u1

=== debian/changelog ===
auto-apt-proxy (16.8+deb13u1) trixie; urgency=medium

  * Check explicitly configured proxies before network gateway
    (Closes: #1108265)
  * Add trixie-specific gbp.conf

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 10 Aug 2025 14:16:53 -0300

## auto-apt-proxy 16.8+deb13u1

=== Makefile ===
all: auto-apt-proxy.1

auto-apt-proxy.1: README.md
	pandoc --standalone --from markdown --to man -o $@ $^

clean:
	$(RM) auto-apt-proxy.1

.PHONY: check test

test: check

check:
	-shellcheck --shell dash auto-apt-proxy

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: auto-apt-proxy
 Architecture: all
-Recommends: iproute2 | busybox,
+Recommends: busybox | iproute2,
 Depends: apt,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -46,4 +46,5 @@
      running)
  .
  This package has a minimal set of dependencies in order to minimize the
- influence on systems where it is installed.
+ influence on systems where it is installed. However, if neither iproute2 nor
+ busybox are installed, functionality is severily limited.

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: apt-integration
 Depends: @, apt-cacher-ng
-Restrictions: isolation-container
+Restrictions: isolation-container, allow-stderr
 
 Test-Command: clitest debian/tests/apt-cacher-ng.txt
 Depends: @, clitest, apt-cacher-ng
@@ -37,3 +37,7 @@
 Tests: noproxy
 Depends: @, newpid
 Restrictions: allow-stderr, skippable
+
+Tests: podman
+Depends: @, systemd
+Restrictions: allow-stderr, skippable, proxy-on-host

## auto-apt-proxy 17

=== debian/changelog ===
auto-apt-proxy (17) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Try apt-proxy from /etc/hosts before default gateway
  * Extract iterating over possible sources into a function
  * Check for explicitly configured proxies before trying the gateway
    (Closes: #1108265)
  * Search gateway before DNS for containers
  * debian/tests: add test for lxc
  * Fix warnings and errors found by shellcheck
  * copyright: drop year
  * Extract timeout handling into a single function
  * Make timeout for network probes default to 1s.
    Suggested-By: Christopher Bock <christopher@bocki.com>

  [ Christopher Bock ]
  * add zsh completion

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 10 Aug 2025 13:45:56 -0300

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper (>= 11~),
+               dh-sequence-shell-completions,
                dpkg-dev (>= 1.17.14~),
                shellcheck <!nocheck>,
                pandoc,

=== debian/tests/control ===
--- 
+++ 
@@ -38,6 +38,6 @@
 Depends: @, newpid
 Restrictions: allow-stderr, skippable
 
-Tests: podman
+Tests: podman, lxc
 Depends: @, systemd
 Restrictions: allow-stderr, skippable, proxy-on-host
